## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanElemTextAllocator Class Reference

`#include <XalanElemTextAllocator.hpp>`

Collaboration diagram for XalanElemTextAllocator:

List of all members.

## Public Types

- typedef ElemText data_type
- typedef ReusableArenaAllocator<
  data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanElemTextAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanElemTextAllocator ()
- data_type* create ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an instance. More...
- bool destroy (data_type* theObject)
    Destroy an instance previously created. More...
- bool ownsObject (const data_type* theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all objects from the allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator<data_type> XalanElemTextAllocator::ArenaAllocatorType

typedef ElemText XalanElemTextAllocator::data_type

typedef ArenaAllocatorType::size_type XalanElemTextAllocator::size_type

## Constructor & Destructor Documentation

XalanElemTextAllocator::XalanElemTextAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanElemTextAllocator::~XalanElemTextAllocator ( | )

## Member Function Documentation

data_type * XalanElemTextAllocator::create ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an instance.

Parameters:

  constructionContext | The current construction context
  stylesheetTree | The stylesheet containing element
  atts | The list of attributes for the element
  lineNumber | The line number in the document
  columnNumber | The column number in the document

Returns:
  A pointer to the new instance.

bool XalanElemTextAllocator::destroy ( | data_type * theObject )`[]`

Destroy an instance previously created.

Parameters:

  theObject | A pointer to the instance to destroy.

Returns:
  true if the instance was destroyed, false if not.

size_type XalanElemTextAllocator::getBlockCount ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

size_type XalanElemTextAllocator::getBlockSize ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

bool XalanElemTextAllocator::ownsObject ( | const data_type * theObject )`[]`

Determine if an object is owned by the allocator...

void XalanElemTextAllocator::reset ( | )`[]`

Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanElemTextAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.